Bug 1787301 - please migrate to the new Fedora translation platform
Summary: please migrate to the new Fedora translation platform
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-02 09:56 UTC by jibecfed
Modified: 2020-08-27 07:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-27 07:25:52 UTC


Attachments (Terms of Use)

Description jibecfed 2020-01-02 09:56:09 UTC
Hello, the Fedora project migrates its translation platform to Weblate [1].

This tool directly interact with your git repository, and requires us to know:

* [mandatory] which branch is your development branch?
* [mandatory] have you merged latest translation from Zanata and locked the project?
* [info] Weblate will handle updates when pot file changes, don't edit po files for this [2]
* [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)
* [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)
* [optional] do you need us to activate any specific checks? (this is a setting per component [3])
* [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

Please note:

* For github and gitlab hosted projects, Weblate open pull request. For other git hosting, you'll have to add a key to allow commits.
* In Weblate's vocable, one project is a group of component. Each component is a translation file. You can have many projects or many components or both.
* You can change your mind over time, just reach trans@lists.fedoraproject.org

[1] https://communityblog.fedoraproject.org/fedora-localization-platform-migrates-to-weblate/ 
[2] https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-conflicts
[3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks

Comment 1 Richard W.M. Jones 2020-03-02 20:17:22 UTC
(In reply to jibecfed from comment #0)
> Hello, the Fedora project migrates its translation platform to Weblate [1].
> 
> This tool directly interact with your git repository, and requires us to
> know:
> 
> * [mandatory] which branch is your development branch?

master

> * [mandatory] have you merged latest translation from Zanata and locked the
> project?

Not merged it in a while, and I haven't locked the Zanata project.

> * [info] Weblate will handle updates when pot file changes, don't edit po
> files for this [2]
> * [optional] what is the license of translation? (please use a code from
> https://spdx.org/licenses/)

I don't think we ever defined it, but I suppose the same as
the upstream project, so:

 LGPL-2.1-or-later

> * [optional] do you have any announcement/warning you would like to display
> to the translators? (it will be displayed in Weblate)

no

> * [optional] do you need us to activate any specific checks? (this is a
> setting per component [3])

no

> * [optional] do you need us to automatically detect new translation files?
> (typical usecase: website translation with one translation file per page)

no

Comment 2 jibecfed 2020-03-03 08:45:11 UTC
thanks for your answer, I locked your project Zanata.

What prevents you to merge latest translations?
it looks like you already have the following script:
https://github.com/libguestfs/libguestfs/blob/master/zanata-pull.sh

You may use the python client, which may be easier to install and use the command `zanata pull`.
Once done, I'll do the Weblate configuration and set you as admin. Please make sure to connect once, and to provide me your username.

Comment 3 Richard W.M. Jones 2020-03-06 20:10:16 UTC
Sorry for the delay, I wanted to synch this with the forthcoming 1.42 release.

I believe we're done on the merge now, see:
https://github.com/libguestfs/libguestfs/commit/7a534669aeafebc6596b78ee4fbb9910cd13703e

So you can go ahead with the move to Weblate.

Comment 4 jibecfed 2020-08-11 17:41:09 UTC
project was added https://translate.fedoraproject.org/projects/libguestfs/
components are in progress (they are big), I'll configure them later with addons

would you like me to save po files without line numbers to reduce diffs and file size?

instead of using a list in your makefile, I suggest you to use a LINGUAS file, Weblate can add new languages to it, saving you time: https://github.com/libguestfs/libguestfs/commit/1e2555c1b8b3e18d89ea0b84cb633a09e1d9a5e2

Comment 5 jibecfed 2020-08-11 17:41:44 UTC
and rjones is admin (and can add other if required)

Comment 6 Pino Toscano 2020-08-11 18:13:10 UTC
@jibecfed: can you please add me as admin too? I'm an upstream developer of libguestfs. FAS: ptoscano.

I'll take care of tweaking the weblate configuration, and do the rest upstream changes for weblate.

Thanks!

Comment 7 jibecfed 2020-08-27 07:25:52 UTC
sorry, but rjones can add any number of admin (I only help for first config, teams have to learn how to do basic administrative actions in Weblate)

Comment 8 Richard W.M. Jones 2020-08-27 07:33:29 UTC
I think we're all good now anyway.  If there's anything else to do I'll talk to Pino.


Note You need to log in before you can comment on or make changes to this bug.